@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@300;500;600;700&family=Roboto:wght@400;500;700&family=Sometype+Mono:wght@600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@300;500;600;700&family=Poppins:wght@300;400;500&display=swap');

* {
    margin: 0;
    padding: 0;
    list-style: none;
    box-sizing: border-box;
    font-family: 'Noto Sans TC', sans-serif;
    font-family: 'Poppins', sans-serif;
    /* border: 1px solid; */
}
html{
    scroll-behavior: smooth;
}
a{
    color: #000;
    text-decoration: none;
}
img{
    width: 100%;
}

.main-header{
    position: sticky;
    top: 0;
    display: flex;
    justify-content: space-between;align-items: center;
    background: #FFF;
    height: 10vh;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    z-index: 999;
}
.logo a{
    display: inline-block;
}
.logo img {
    width: 100%;
    vertical-align: middle;
    margin-right: 0.5em;
    margin-top: -0.5em;
}
.main-nav a {
    width: 100%;
    display: block;
    text-decoration: none;
    padding: 5px;
    text-align: center;
    /* margin-top: 1em; */
}

.main-nav a+a {
    margin: auto;
    width: 84%;
    background: #000;
    color: white;
    padding: .3em, 5em;
    border-radius: 0.375rem;
    margin-top: 1em;

}

.main-nav a:hover {
    scale: 1.2;
    transition: 1s;
}

.main-nav a+a:hover {
    background: blue;
    color: fff;
}

#menu-switch {
    display: none;
}

@media screen and (max-width:992px) {
    .logo a{
        margin-left: 1em;
    }
    .hb {
        width: 80px;
        height: 50px;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        padding: 10px;
    }
    
    .hb span {
        width: 20px;
        height: 3px;
        background: #000;
    }
    .main-nav a+a {
        border-radius: 0;
    
    }
    .main-nav {
        background: #FFF;
        position: absolute;
        top: 100%;
        left: 0%;
        width: 100%;
        height: 100dvh;
        opacity: 0;
        transform: translate(-100%);
        transition: opacity 1s, transform 0s 1s;
    }
    #menu-switch:checked+.main-header .main-nav {
        display: block;
        opacity: 1;
        transition: opacity 1s;
        transform: translate(0%);
       
    }
}



@media screen and (min-width:993px) {
    .main-header , .bg{
        position: sticky;
        top: 0;
        display: flex;
        justify-content: space-between;
        background: #FFF;
        box-shadow: none;
    }
    .bg{
        box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    }
    .main-header {
        margin: auto;
        width: 100%;
    }
    .bg{
        width: 100%;
    }

    .hb {
        display: none;
    }

    .main-nav {
        position: relative;
        top: 0;
        left: 0;
        transform: translate(0%);
        display: inline-block;
    }

    .main-nav a {
        width: auto;
        display: inline-block;
        margin-top: 0;
        margin-right: 1em;
    }

    .main-nav a+a {
        width: auto;
        background: #000;
        color: white;
        padding: 10px;
        border-radius: 0.375rem;

    }

}

/* ---------------------------------------------------------- */
.logo a{
    font-weight: bold;
      background: -webkit-linear-gradient(45deg, rgb(253,18,226) 20%, rgb(164,67,221), rgb(84,126,255) 90% );
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      text-align: center;
      font-size: 2em;
}
.introduce p{
    text-align: center;
    font-size: 1.5em;
    margin-top: .8em;
}
.introduce a{
    width: 75%;
    margin: auto;
    text-align: center;
    text-decoration: none;
    display: block;
    padding: 8px;
    border-radius: 0.375rem;
    background: blue;
    color: #FFF;
    margin-top: 1.4em;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}
.introduce a + a{
    background: #000;
    margin-top: 0.8em;
}
.main-img{
    width: 94%;
    margin: auto;
    margin-top: 1.6em;
    position: relative;
}
.demo{
    position: absolute;
    top: 92%;
    left: 50%;
    transform: translate(-50%);
    background: #FFF;
    border-radius: 100px;
    padding: 18px;
    width: 72%;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}
.demo{
    text-align: center  ;
    font-size: 1em;
    font-weight: 500;
}

.introduction{
    background: #f3f4f6;
    margin:5em auto auto auto;
}
.introduction .wrap{
    max-width: 1200px;
    margin: auto;
}
.introduction h2{
    margin-top: 1em;
    text-align: center;
    font-weight: 700;
    font-size: 2em;
}
.introduction b{
    display: inline-block;
    margin-top: 1em;
}
.introduction p{
    text-align: center;
    font-size: 1.1em;
    line-height: 1.8em;
    padding: 2px;
}
.Function{
    width: 80%;
    margin: 1.5em auto 1em auto; 
    text-align: left;
}
.Function h2{
    text-align: left;
    font-size: 2em;
}
.Function span{
    font-size: 1.2em;
}

/* 2024-2-27 */
.introduction .item a{
    width: 80%;
    margin: 1em auto auto auto;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
.introduction .item a:hover{
    background: #ccc;
}
/* 2024-2-27 */

.introduction .img-item{
    width: 80%;
    margin: 1em auto auto auto;
}
.introduction .img-item img{
    margin-top: -1.5em;
}
.grow{
    flex-grow: 1;
}

.convocation{
    width: 80%;
    margin: 1em auto auto auto;
}

#grow{
    display: none;
}
.convocation{
    padding-top: 1em;
}




@media screen and (min-width:552px){
    .introduce h1{
        font-size: 2.8em;
    }
    .introduce p{
        text-align: center;
        font-size: 1.6em;
        margin-top: .8em;
    }
    .info{
        max-width: 1200px;
        margin: auto;
    }
    .introduce p{
        margin-bottom: 1em;
    }
      .btn{
        margin-top: 1.2em;
        max-width: 29%;
        margin: auto;
        display: flex;
      }   
      .btn a{
        
        margin-right: 1em;
        width: 50%;
        margin-top: 0;
      }
      .btn a + a{
        margin-top: 0;
      }
      .main-img{
        width: 90%;
        margin: auto;
        margin-top: 1.6em;
        position: relative;
    }
}
@media screen and (min-width:768px){
    .introduction .items{
    display: flex;
    position: relative;
    top:25%;
    padding-bottom: 1em;
    }
    .introduction .item{
        width: 60%;
    }
    .introduction .img-item{
        width: 40%;
    }
    
}
@media screen and (min-width:992px){
    .introduce h1{
        font-size: 4em;
    }
    .introduce .wrap p{
        text-align: center;
        font-size: 2em;
        margin-top: .8em;
    }
    .main-img{
        width: 60%;
    } 
    .Function{
        margin-left: 72px;
    }
    .introduction .wrap b{
        font-size: 1.3em;
        margin-bottom: 0.5em;
    }
    .introduction .wrap p{
        font-size: 1.5em;
    }
    .convocation{
        max-width: 1050px;
    }
    #grow{
        display: block;
    }
}


.bxl-python:before {
   font-size: 38px;
   vertical-align: middle;
}